Introduction

Build your chat room now!

Chat Anywhere is a chat server for real-time chatting. You can use it both on the LAN and on the internet. You can build one or more web-based chat rooms on your computer. Anyone on the network can visit your web-based chatroom via an internet browser(IE/Netscape/etc.) -- Thus, they needn't install Chat Anywhere and they can use any operating system which has a browser(Windows/Linux/etc). You can kick an abusive user out of your chatroom and you can set forbidden IP's so unwelcomed visitors are banned from your chat room. You can easily customize the appearance of your chatroom to suit any occasion. Best of all, you can do all of this without any programming knowledge or writing down a single line of code.

Unlike other web-based chatrooms, you needn't install any web server(IIS/Apache/etc, very difficult to control for most users) because this software is a simple web server in and of itself. And not like other chat messagers, all chatters needn't install any special 'client software'(like ICQ) because a browser is enough. So you can use Chat Anywhere individually and flexibly. Where ever you are, where ever you go, if you can let your computer connect to a network, you can build your chatroom within seconds and then you can chat with other individuals in the network immediately.

The directory tree of Chat Anywhere:

Website: http://www.lionmax.com

Email: support@lionmax.com


Quick Start

Step1: run Chat Anywhere and select a chat room, then press "OK"

Step 2: Find the URL of your chat room by clicking the "Info" button on the toolbar

Then you will see:

Tell your friends the URL, then you can have a chat by visiting the URL via any kind of browser. That's all. Isn't it easy? If you want to learn how to change the chat topic, then please goto step 3.

Step 3: Click the "Custom" button to change the setting of your chat room

Then please click the "Chat Page" button to modify the chat page

Click on the title frame, select the "Chat Topic" item from the popup menu

Change the chat topic, then press "OK"

Press "Save" button to save your setting

You need not restart the chat room. Just press the "refresh" button on the toolbar of the browser and you will see the change.


Chat Anywhere User's Guide

This User's Guide is designed to help you understand what Chat Anywhere can do for you.

Table of Contents

CHAPTER 1: INTRODUCTION

  • What is Chat Anywhere?
  • What is the difference between Chat Anywhere and ICQ?
  • Who needs this software?
CHAPTER 2: GETTING STARTED
  • Where to install Chat Anywhere?
  • How can I determine my chat room's URL?
  • If Chat Anywhere can be installed behind a gateway router?
  • How can my friends chat with me? Do they need to install Chat Anywhere also?
  • Can anyone enter my room at any time if they have the chat room's URL?
  • How to start/stop the chat room service?
  • What is 'Private chat'?
  • How to change chat topic?
  • How to change the port number of my chat room?
  • How to enable/disable sound alert? How to customize the sound?
  • Can I use my own picture to instead of the background or banner?
  • How to change my chat room's appearance(style/title/background/color/etc.)?
  • How to change my chat room's language?
  • How to ban the unwelcomed user out my chat room?
  • What is 'Forbidden IP'?
  • If one user exited the chat room without clicking the 'Exit' button, how could I know it and remove the user's name from the namelist?
  • Is there a version for UNIX?
CHAPTER 3: ADVANCED USERS
  • I have a website, how to install Chat Anywhere in my web?
  • Set passwords to protect your chat room.
  • How do I get into the chat room if it's password protected for the client?
  • I do not want anyone else to be able to access the chat room when I am chatting with a certain person. What should I do?
  • Who has entered my chat room?
  • How to record chat contents?
  • Clean your chat room - language filter.
  • How to open 2 rooms at one time?
  • How many people could chat at one time?
  • Where to enter the customized "chatanyw RoomName" information to bypass the entry screen?
  • Can I start this program as an NT or 2k server service?
  • Control your chat room remotely.
  • When Chat anywhere is set-up as an NT Service, the language filter can not work and the chat file for recording what user has entered, the .txt file, is not updating. How to resolve these problems?


User's Guide for chat software - Chat Anywhere

<<<Back
CHAPTER 1: INTRODUCTION
  • What is Chat Anywhere?
Chat Anywhere is a chat software which can help you create chat rooms on your computer. You can create and manage these web-based chat rooms with this software.
  • What is the difference between Chat Anywhere and ICQ?
ICQ is a client software. That is, if it can not connect to the chat server, you can not chat with it. Let's say that you want to chat with Mr. Bill via ICQ, you should download and install the ICQ first, then you should ask Mr. Bill to download and install ICQ also.
Chat Anywhere is a server software. It can provide web-based chat rooms, so everybody can connect to it with IE, Netscape, Opera, etc. You know that today almost all computers have at least one kind of these browsers available. So you needn't ask Mr. Bill to install any software now. But this doesn't mean that Chat Anywhere is better than ICQ, they are two kinds of software and there is a purpose and use for both.
  • Who needs this software?

If you
* have a website and want to set up a chat room on your website.
* worry that someone might be eavesdropping since you do not control the chat server and you may not be in control.
* can not use ICQ (or other kind of messagers) on your local network. For example, the boss doesn't allow anyone to use an ICQ during work time.
* can not connect to internet at all, but you still want to chat in the local network.
* want to chat with somebody but that person would refuse to install ICQ.
* don't trust the chat software you are using because you fear it may have a backdoor.
* don't like the chat software your are using because it has too many advertisements or it is too slow.
* want to have your own chat room server.
* just like cool software like Chat Anywhere.
...
then you need it.


CHAPTER 2: GETTING STARTED
  • Where to install Chat Anywhere?
If you are a beginner, the answer is - your computer.
If you have a website, you can also install it on your server.
  • How can I determine my chat room's URL?
If you installed Chat Anywhere on your desktop and the IP address of your chat room is '111.222.111.222'. then the URL should be:
http://111.222.111.222
If you changed the port number to 90(default is 80), then the URL should be:
http://111.222.111.222:90

If you installed Chat Anywhere on you host and changed the port number to 90, the domain name of your website is 'http://www.mywebsite.com', then your chat room's URL should be:
http://www.mywebsite.com:90
  • If Chat Anywhere can be installed behind a gateway router?
Then the IP address is your-router's-IP address, not your computer's. You can still use it locally, but those people not connected to the internet will be unable to visit your chat room.
  • How can my friends chat with me? Do they need to install Chat Anywhere also?
Just tell your friends your chat room's URL, e.g. http://111.222.111.222
Then they can visit this URL via browser, such as IE, Netscape or Opera. After they log in to your chat room, you can chat together.
So your friends will not be required to install Chat Anywhere on their computer.
  • Can anyone enter my room at any time if they have the chat room's URL?
Not exactly, you can set forbidden IP's and password protect your chat room. If you've set someone's IP address to 'forbidden', he/she will not be allowed in your chat room. If you've set passwords for your chat room, no one can enter your chat room if he doesn't know the user name and password.


CHAPTER 2: GETTING STARTED

  • How to start/stop the chat room service?
You can start/stop the service by clicking the first button on the toolbar:
chat software
  • What is 'Private chat'?
chat software
If you say "Hello" to Mary in the chat room, everybody can see this sentence on the screen, but if you selected "Private Chat", only you and Mary can see it.

Because the chat room is yours, you can disable "Private Chat" if you want to, just follow these steps:
1) run Chat Anywhere, open a chat room.
2) click the "Custom" button on the toolbar.
3) cilck "Chat page" button.
4) click on the text "Private Chat", then a pop-menu will appear.
chat software
5) click "Disable Private Chat"
That's it.


CHAPTER 2: GETTING STARTED

  • How to change the port number of my chat room?
Please follow these steps:
1) run Chat Anywhere, open a chat room.
2) click the "Info" button on the toolbar.
3) type new port number in "Port" field.
chat software
4) click "OK" button.

  • How to enable/disable sound alert? How to customize the sound?

Please follow these steps:
1) run Chat Anywhere, open a chat room.
2) click the "Custom" button on the toolbar.
3) click the "Chat Page" button.
4) check or un-check the option "Sound Alert".
chat software

If you checked this option, everyone in the chat room will hear a sound when a new visitor joins the chat. If you want to use you own sound, just replace "Chat Anywhere\Root\sound.mid" with your sound file, but you must use a "mid" file and name it as "sound.mid".

  • Can I use my own picture to instead of the background or banner?
Yes you can.
All pictures are placed under folder:"Chat Anywhere installed path\root\images\".
For example: If you installed Chat Anywhere with the default setting, Chat Anywhere should be installed to the folder: "C:\Program Files\Chat Anywhere\".
Then you can find the folder: "C:\Program Files\Chat Anywhere\Root\images"
Please open this folder("C:\Program Files\Chat Anywhere\Root\images") with explorer, then you will see 3 folders under it:
banner - C:\Program Files\Chat Anywhere\Root\images\banner\
bkground - C:\Program Files\Chat Anywhere\Root\images\bkground\
Welcome - C:\Program Files\Chat Anywhere\Root\images\Welcome\
chat software
Let's say that you want to add 3 JPEG files to your chat room:
1 - d:\pic\mypic1.jpg
2 - d:\pic\mypic2.jpg
3 - d:\pic\mypic3.jpg
and you want to use mypic1.jpg as your chat room's banner, use mypic2.jpg as your chat room's background, use mypic3.jpg as your chat room's welcome image on the login page. Then what you need to do is:
1 - copy file "d:\pic\mypic1.jpg" to folder "C:\Program Files\Chat Anywhere\Root\images\banner\"
2 - copy file "d:\pic\mypic2.jpg" to folder "C:\Program Files\Chat Anywhere\Root\images\bkground\"
3 - copy file "d:\pic\mypic3.jpg" to folder "C:\Program Files\Chat Anywhere\Root\images\Welcome\"
Then please run Chat Anywhere and click the "Custom" button on the toolbar, then...
1- if you click the "login page" button, you will see "mypic2.jpg" appear in the background images list, and you will see "mypic3.jpg" appear in the welcome images list.
chat software
2- if you click the "chat page" button, then click the banner, a pop-up menu will appear, click the "Banner" item, then a window will appear, you can see and choose "mypic1.jpg" in the window.
chat software


CHAPTER 2: GETTING STARTED

  • How to change my chat room's appearance(style/title/background/color/etc.)?
  • How to change my chat room's language?
1) click the "Custom" button on the toolbar
chat software

2) Then you can change the appearance and language.
chat software

You can change the appearance and language during chat time. That is, you need not to restart the chat room, chatters need not to login again, they can see the change by clicking the "refresh" button on the browser's toolbar.
  • How to ban the unwelcomed user out my chat room?
chat software
All you need to do is to click the user's name and then click the "Kick out" button. Please use this function carefully because nobody likes being kicked out. You can also set "Forbidden IP" and "password" to protect your chat room.
  • What is 'Forbidden IP'?
You can kick the unwelcomed person out of your chat room. But if this person logs into your chat room time after time, what can you do then?
You can find this person's name and IP from the main window. For example, Mike is the unwelcomed person,

Mike's IP address is "169.254.117.157".
Then please click "Forbidden IP" button on the toolbar. Type "169.254.117.157" in the IP field, then click "Add this IP" button. Exit this window. Then Mike's IP address is forbidden and he can not connect to your chat room nor enter it.
chat software
  • If one user exited the chat room without clicking the 'Exit' button, how could I know it and remove the user's name from the namelist
Chat Anywhere checks all connections every 5 seconds. If someone exits the chat room by closing the browser, or by a computer crash, the chat room server will detect it and automatically remove the user's name from the namelist after 5 seconds. You needn't to do anything.
  • Is there a version for UNIX?
Sorry but Chat Anywhere can only run on a windows system at present.


CHAPTER 3: ADVANCED USERS

  • I have a website, how to install Chat Anywhere in my web?
First please make sure that the operating system of your server is Windows, not Linux or Unix, because Chat Anywhere can only run on a windows system.

You can integrate Chat Anywhere into your website easily if you have the rights to install software on your server. If you can not install software on it, please ask the administrator of the server to help you install it. Also you can install it on another computer which has a domain name or has a static IP and this computer can connect to the internet 24 hours a day.

Suppose that you have installed Chat Anywhere on your server and assigned port number 90 to your chat room, then you can add a link on your homepage like this:
<a href="http://DomainName:90" target="_blank">Chat Room</a>
or:
<a href="http://IP:90" target="_blank">Chat Room</a>
Then everybody can visit your chat room by clicking the link on your homepage.
  • Set passwords to protect your chat room.
If you've set passwords for your chat room, no one can enter your chat room if this person doesn't know right user name and password.
 chat software - > You can see this on the "Login Page" window. Click it to set passwords.

chat software
  • How do I get into the chat room if it's password protected for the client?
You can set two (or more) set of passwords for your chat room.
For example:
Name: Admin - Password: 12345678
Name: Bill - Password: 87654321
Name: * - Password: 98989898
...
Then,
you can log in with name "Admin" and password "12345678",
Bill can log in with name "Bill" and password "87654321",
anyone can log in with password "98989898".
  • I do not want anyone else to be able to access the chat room when I am chatting with a certain person. What should I do?
Rember that you can set or change your password at anytime, even during the chat time. So you can treat it is as a 'lock'. That is, if you are chatting with somebody and don't want to let anybody else enter your chat room, then you can set user "abc" and password "@#&". Then no one else can enter the chat room because he/she doesn't know the user name and the password, but this won't affect anybody who already entered the chat room. So you can continue your chat.


CHAPTER 3: ADVANCED USERS

  • Who has entered my chat room?
Please Click the "Log" button on the toolbar, then you can see the log files list, like:
chat software
Fox example, you want to know if Mike entered your chat room on 03/11/2002, then you can open file "20020311-Anywhere.log", from the log file, you can find if anyone entered your chat room with the name "Mike" and what time he entered, what time he exited, etc.
  • How to record chat contents?
For some reasons you want to record chat contents, then what you need to do it is to check the option on the "Log" window.
chat software
  • Clean your chat room - language filter.
If you don't want to see foul language in your chat room, then you should use this language filter.
what you need to do it is to check the option on the "Filter" window.
chat software
And you can customize the filter as you will.
  • How to open 2 rooms at one time?
* The simplest way is to launch Chat Anywhere twice time. Then you get two chat rooms.
* You can edit a "2rooms.bat" file with this contents:
chatanyw anywhere
chatanyw football
save it to the path which installed Chat Anywhere, then double click it.
* install Chat Anywhere as NT service.
Be sure to set a different port number for them.


CHAPTER 3: ADVANCED USERS

  • How many people could chat at one time?
That would depend on the sockets capabilities of the server's operating system.
Windows98 - not more than 100 for best performance
Windows NT/2000/XP - not more than 400 for best performance
Windows NT/2000/XP can handle a lot more parallel sockets than windows 95/98. So if Chat Anywhere is running on Windows NT/2000/XP, the chatroom can allow more people inside it.
  • Where to enter the customized "chatanyw RoomName" information to bypass the entry screen?
Command line parameters:
the syntax is chatanyw RoomName
Purpose: To start a certain chatroom directly.
Example: chatanyw football (this will start chatroom 'football')
Note: you must create the chat room before you start it, you can not start a chat room which doesn't exist.

You can use command line parateters in these two ways:
1) Type the command in the command window(MS-DOS window).

2) Edit and save your command lines to a .bat file. There is a file - "Sample.bat" shows how to bypass the entry screen. You can find it in the directory with Chat Anywhere. You can open and edit it with notepad. Be sure to save the .bat file to the directory with Chat Anywhere. Then you can double click the .bat file to launch it.
  • Can I start this program as an NT or 2k server service?

Chat Anywhere can be installed as an NT service only by user with Administrator rights. So before you install Chat Anywhere as an NT service, please ensure your have the Administrator rights.

There are two files under the directory where Chat Anywhere was installed:
1) NTService.exe - NTService.exe is the main module, which contains all server code. Please don't run it directly.
2) MSevice.exe - MSevice.exe is server control manager. You can install or uninstall the NT service from the manager.

Normally, you should install/uninstall it form the menu:
chat software

Then you can install/uninstall Chat Anywhere as NT service form this window:
chat software

The NT service "Chat Anywhere" should be started only by account an with Administrator rights.

So please specify an "Administrator" account to start it. This page can tell you how to do it.

Note:
Once you've installed the service, you can add or remove those rooms you want to start with the service anytime from this window. You need not install the service again.


CHAPTER 3: ADVANCED USERS

  • Control your chat room remotely
Sometimes you want to install Chat Anywhere on a remote computer, so you need to control your chat room remotely.

Remote manage service is a separate service of Chat Anywhere. To start it, please click the "Remote" button on the toolbar:

Then input the port number, name and password:

There are two ways to start the remote manage service:
1) Manually - click the "Start" button.
2) Automatically - check the "Start remote manage service when chat room start" option. The service will start next time you launch Chat Anywhere and start the chat room.

After the remote manage service starts, you can visit the URL listed in the window to manage your chat room:

Note: You must assign a different port number for the chat room service and remote manage service, or one of them will not work. For example, you can assign port 80 to chat, port 6000 to manage.


CHAPTER 3: ADVANCED USERS

  • When Chat anywhere is set-up as an NT Service, the language filter can not work and the chat file for recording what user has entered, the .txt file, is not updating. How to resolve these problems?
The NT service "Chat Anywhere" should be start only by account with Administrator rights.

So please assign a "Administrator" account to start it. You can do it this way:
1) Open NT services window.

2) right click service name "Chat Anywhere", select item "properties" on the popup menu.

3) switch to "logon", then specify a user account with Administrator rights to start it, don't forget to input the right password of this account.
Sometimes you can not use administrator account, then please try the account which you logged in and installed Chat Anywhere.

This will resolve all those problems.


Secret of Chat Anywhere

Secrets of Chat Anywhere

- ExitUrl.txt

When the "Exit" button is pressed, the chatter will exit your chat room and be redirect to the login page. Actually you can specify the redirect URL. For example, sometimes you may want to let chatters visit your homepage when they exit your chat room, then you can create a plain txt file with the content:
http://MyWebsite/index.htm
and save this file to the directory with Chat Anywhere, name it as "ExitUrl.txt". That's all.

When the chatter clicks the "Exit" button, Chat Anywhere will look for "ExitUrl.txt" and redirect chatter to the URL in the txt file, if it can not find "ExitUrl.txt", then it takes user back to the default login page.
If you don't want to redirect a chatters to others page any longer, just delete "ExitUrl.txt".


Secret of Chat Anywhere

Secrets of Chat Anywhere

- chat.css

Some users notice that Chat Anywhere uses a chat.css file and they want to change the font face, size and color in the chat room by editing the css file.

You can find the file "chat.css" in the directory "Root". Its default content is:

table,textarea,body,input,select,div {font-size: 10pt}

.C0 {background-color:#FFFFFF;}
.C1 {background-color:#000000;}
.C2 {background-color:#008000;}
.C3 {background-color:#800000;}
.C4 {background-color:#808000;}
.C5 {background-color:#000080;}
.C6 {background-color:#800080;}
.C7 {background-color:#808080;}
.C8 {background-color:#FFFF00;}
.C9 {background-color:#00FF00;}
.C10 {background-color:#00FFFF;}
.C11 {background-color:#FF00FF;}
.C12 {background-color:#C0C0C0;}
.C13 {background-color:#FF0000;}
.C14 {background-color:#0000FF;}
.C15 {background-color:#008080;}
.C16 {}

a:link  {color:blue;text-decoration: underline}
a:hover {color:blue;text-decoration: none}
a:visited {color:blue;text-decoration: underline}

So you can modify it as you will now.

Q: what will happen if "chat.css" is deleted?
A: If Chat Anywhere can not find file "chat.css", it will generate one dynamically, so you needn't worry about it.


Secret of Chat Anywhere

Secrets of Chat Anywhere

- Room setting files

All room setting files are put into the directory "room".

You can modify them directly rather than using the Chat Anywhere's interface.

To understand what is "ListBackColor" and what is "BoardBackColor", please consult this map:


Registration

Chat Anywhere is a shareware program which means you have a chance to try the software before you buy it. If you plan to continue to use Chat Anywhere you need to register it.

What do I get by registering Chat Anywhere?
1) Un-registered version can only allow 3 person inside your chat room at one time.
2) Free Lifetime upgrades means that you will get all future updates of Chat Anywhere for free for the rest of your life.

How to register?
To purchase Chat Anywhere please try either way listed below:
* online order page: https://www.qwerks.com/order/buynow.asp?ProductID=3695
* Click on the Buynow button located on the registration screen to make an online purchase.
* visit our web site at: http://www.lionmax.com/buynow.htm
Once you have purchased Chat Anywhere, the registration code will be emailed to you within 24 hours.


Support

Support@lionmax.com
If you have problems or questions about using our software, let us help you.

Order@lionmax.com
If you have order problems or questions, please let us know.
If you lost your registration code, let us help you. please include your name, address, email address and order confirmation number (if you have it). We will be happy to help you.

Comments@lionmax.com
Send us your comments! We'd love to hear from you!

Webmaster@lionmax.com
If you have any comments concerning our website, please contact webmaster.

Biz@lionmax.com
Currently our software is only distributed on the Internet. If you are interested in exchanging links with us, or would like to help us with physical distribution, promotion in software compilations, or business cooperation, kindly let us know! We are open to various levels of cooperation.

You can always download the latest version of Chat Anywhere at:
http://www.lionmax.com